<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Kompany
 * @since Kompany 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'kompany_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','kompany' ),
	'description'       => esc_html__( 'Archive section options.', 'kompany' ),
	'panel'             => 'kompany_theme_options_panel',
) );

$wp_customize->add_setting( 'kompany_theme_options[hide_banner]', array(
	'default'           => $options['hide_banner'],
	'sanitize_callback' => 'kompany_sanitize_switch_control',
) );

$wp_customize->add_control( new Kompany_Switch_Control( $wp_customize, 'kompany_theme_options[hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'kompany' ),
	'section'           => 'kompany_archive_section',
	'on_off_label' 		=> kompany_hide_options(),
) ) );

// features content type control and setting
$wp_customize->add_setting( 'kompany_theme_options[blog_page_column]', array(
	'default'          	=> $options['blog_page_column'],
	'sanitize_callback' => 'kompany_sanitize_select',
) );

$wp_customize->add_control( 'kompany_theme_options[blog_page_column]', array(
	'label'             => esc_html__( 'Column Layout', 'kompany' ),
	'section'           => 'kompany_archive_section',
	'type'				=> 'select',
	'choices'			=> array( 
		'col-2'		=> esc_html__( 'Two Column', 'kompany' ),
		'col-3'		=> esc_html__( 'Three Column', 'kompany' ),
	),
) );

// Blog btn label setting and control
$wp_customize->add_setting( 'kompany_theme_options[blog_page_post_btn]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['blog_page_post_btn'],
) );

$wp_customize->add_control( 'kompany_theme_options[blog_page_post_btn]', array(
	'label'           	=> esc_html__( 'Blog Post Button', 'kompany' ),
	'section'        	=> 'kompany_archive_section',
	'type'				=> 'text',
) );