<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Kompany
 * @since Kompany 1.0.0
 */

$wp_customize->add_section( 'kompany_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','kompany' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'kompany' ),
	'panel'             => 'kompany_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'kompany_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'kompany_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Kompany_Switch_Control( $wp_customize, 'kompany_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'kompany' ),
	'section'          	=> 'kompany_breadcrumb',
	'on_off_label' 		=> kompany_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'kompany_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'kompany_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'kompany' ),
	'active_callback' 	=> 'kompany_is_breadcrumb_enable',
	'section'          	=> 'kompany_breadcrumb',
) );