<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Kompany
 * @since Kompany 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'kompany_layout', array(
	'title'               => esc_html__('Layout','kompany'),
	'description'         => esc_html__( 'Layout section options.', 'kompany' ),
	'panel'               => 'kompany_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'kompany_theme_options[site_layout]', array(
	'sanitize_callback'   => 'kompany_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Kompany_Custom_Radio_Image_Control ( $wp_customize, 'kompany_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'kompany' ),
	'section'             => 'kompany_layout',
	'choices'			  => kompany_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'kompany_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'kompany_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Kompany_Custom_Radio_Image_Control ( $wp_customize, 'kompany_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'kompany' ),
	'section'             => 'kompany_layout',
	'choices'			  => kompany_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'kompany_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'kompany_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Kompany_Custom_Radio_Image_Control ( $wp_customize, 'kompany_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'kompany' ),
	'section'             => 'kompany_layout',
	'choices'			  => kompany_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'kompany_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'kompany_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Kompany_Custom_Radio_Image_Control( $wp_customize, 'kompany_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'kompany' ),
	'section'             => 'kompany_layout',
	'choices'			  => kompany_sidebar_position(),
) ) );