<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Kompany
 * @since Kompany 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'kompany_pagination', array(
	'title'               => esc_html__('Pagination','kompany'),
	'description'         => esc_html__( 'Pagination section options.', 'kompany' ),
	'panel'               => 'kompany_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'kompany_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'kompany_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( new Kompany_Switch_Control( $wp_customize, 'kompany_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'kompany' ),
	'section'             => 'kompany_pagination',
	'on_off_label' 		=> kompany_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'kompany_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'kompany_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'kompany_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'kompany' ),
	'section'             => 'kompany_pagination',
	'type'                => 'select',
	'choices'			  => kompany_pagination_options(),
	'active_callback'	  => 'kompany_is_pagination_enable',
) );