<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Kompany
 * @since Kompany 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'kompany_single_post_section', array(
	'title'             => esc_html__( 'Single Post','kompany' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'kompany' ),
	'panel'             => 'kompany_theme_options_panel',
) );

$wp_customize->add_setting( 'kompany_theme_options[single_post_hide_banner]', array(
	'default'           => $options['single_post_hide_banner'],
	'sanitize_callback' => 'kompany_sanitize_switch_control',
) );

$wp_customize->add_control( new Kompany_Switch_Control( $wp_customize, 'kompany_theme_options[single_post_hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'kompany' ),
	'section'           => 'kompany_single_post_section',
	'on_off_label' 		=> kompany_hide_options(),
) ) );

// Kompany date meta setting and control.
$wp_customize->add_setting( 'kompany_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'kompany_sanitize_switch_control',
) );

$wp_customize->add_control( new Kompany_Switch_Control( $wp_customize, 'kompany_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'kompany' ),
	'section'           => 'kompany_single_post_section',
	'on_off_label' 		=> kompany_hide_options(),
) ) );

// Kompany author category setting and control.
$wp_customize->add_setting( 'kompany_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'kompany_sanitize_switch_control',
) );

$wp_customize->add_control( new Kompany_Switch_Control( $wp_customize, 'kompany_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'kompany' ),
	'section'           => 'kompany_single_post_section',
	'on_off_label' 		=> kompany_hide_options(),
) ) );